---
title: "Customer Information"
description: "This endpoint has been designed to showcase the details of the customer. This endpoint gives the customer service rep a general overview of who the person is and his history with the company."
canonical: "https://docs.cm.com/mobile-service-cloud/msc-agent-inbox/dynamic-integration/customer-information"
---

# Customer Information

> This endpoint has been designed to showcase the details of the customer. This endpoint gives the customer service rep a general overview of who the person is and his history with the company.

Source: https://docs.cm.com/mobile-service-cloud/msc-agent-inbox/dynamic-integration/customer-information

This endpoint has been designed to showcase the details of the customer. This endpoint gives the customer service rep a general overview of who the person is and his history with the company.

`GET https://example.com/customers?<yourEmailParameter>=$EmailAddress&<yourPhoneParameter>=$PhoneNumber&$FilterField=$FilterValue`

## Parameters

| Name | Required | Description |
| :- | :- | :- |
| $EmailAddress | Yes\* | The email address of the customer |
| $PhoneNumber | Yes\* | The phone number of the customer |
| $FilterField | No\*\* | The name of the field that contains the unique identifier of the customer profile\*\* |
| $FilterValue | No\*\* | The unique identifier of the customer profile\*\* |

\*At least one of the parameters need to be configured.\
\*\* Refer to the section _Customer profile selection_ for more details of how to use these parameters

```json title="Response body"
{
    "email_address": "email@example.com",
    "customer_since": "2021-01-28",
    "order_count": 12,
    "total_spent": "$154.95",
    "name": "John Doe",
  	"phone_number": "+31612345678",
    "panel_view": {
        "custom_field1": "Value 1",
        "custom_field2": "Value 2"
    }
}
```

## Response schema

| Name | Type | Required | Description |
| :- | :- | :- | :- |
| name | String | Yes | Returns the full name of the customer |
| email\_address | String | Yes | Returns the email address of the customer |
| phone\_number | String | Yes | Returns the phone number of the customer |
| customer\_since | String | Yes | Shows the date when the customer purchased his first order. Date format is: "YYYY-MM-DD" |
| total\_spent | String | Yes | Returns the total amount the customer has spend at the store(s) |
| order\_count | Float | Yes | Returns the total amount of orders the customer has at the store(s) |
| panel\_view | Object | No | A JSON object to put custom fields in to show more information about the customer |
| custom\_field | String | No | This variable is placed inside `panel_view`. You can rename the key and the value to anything you'd like -- as long as the value is returned in a string form |
